g.download.location(1)

NAME
g.download.location.py - Download GRASS Location from the web
Get GRASS Location from an URL or file path

KEYWORDS
general, data, download, import

SYNOPSIS
g.download.location.py
g.download.location.py --help
g.download.location.py url=string [name=name] [path=path] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

url=string [required]
    URL of the archive with a location to be downloaded
    URL of ZIP, TAR.GZ, or other similar archive

name=name
    Location name
    Location name (not location path)

path=path
    GRASS GIS database directory
    Default: path to the current GRASS GIS database

DESCRIPTION
g.download.location downloads an archived (e.g., .zip or .tar.gz) location from a given URL and unpacks it to a specified or current GRASS GIS Spatial Database. URL can be also a local file on the disk. If the archive contains a directory which contains a location, the module will recognize that and use the location automatically. First directory which is a location is used. Other locations or any other files are ignored.

SEE ALSO
g.mapset, g.mapsets, r.proj, v.proj, g.proj.all

AUTHOR
Vaclav Petras, NCSU GeoForAll Lab

SOURCE CODE

Available at: g.download.location source code (history)

Accessed: Sat Jun 18 04:18:14 2022

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.0 Reference Manual